#pragma once

#include "MidiElements.h"

#include <fstream>

class MidiTimeAdapter
{
public:
    static int ReadEventTimeDelta(std::ifstream* file, int& delta);

    static int ReadTimeDivision(std::ifstream* file, MidiTimeDivision& division);
};
